# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               php5-ffmpeg
Version:            0.6.0
Release:            1.1
Summary:            PHP Module for accessing and retrieving Information from Video and Audio Files
Source:             http://prdownloads.sourceforge.net/ffmpeg-php/ffmpeg-php-%{version}.tbz2
Patch1:             php5-ffmpeg-remove_build_timestamps.patch
URL:                http://ffmpeg-php.sourceforge.net/
Group:              Development/Libraries/PHP
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      ffmpeg_oldabi-devel
BuildRequires:      php5-devel
BuildRequires:      re2c
BuildRequires:      gcc make pkgconfig
BuildRequires:      autoconf automake libtool
Requires:           php5

%description
ffmpeg-php is a PHP extension that adds functions for accessing and retrieving
information from movies and audio files. ffmpeg-php provides access to the many
audio and video formats supported by ffmpeg.

%prep
%setup -q -n "ffmpeg-php-%{version}"
%patch1

%build
phpize
%configure
%__make %{?_smp_mflags}

%install
%__make INSTALL_ROOT="%{buildroot}" install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc CREDITS ChangeLog EXPERIMENTAL
%doc LICENSE TODO
%{_libdir}/php5/extensions/ffmpeg.so

%changelog
* Sat May  5 2012 pascal.bleser@opensuse.org
- initial version (0.6.0)
